Lead lists

Add members to saved lead list

POST/v1/lead-lists/{id}/members

Authorization

bearerAuth
AuthorizationBearer <token>

Use an account API key in the Authorization header: Authorization: Bearer f_....

In: header

Path Parameters

idstring

Saved lead list id.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

global_lead_idsarray<string>
Items1 <= items <= 100
curl -X POST "https://example.com/v1/lead-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/members" \  -H "Content-Type: application/json" \  -d '{    "global_lead_ids": [      "string"    ]  }'
{  "data": {    "added": 0,    "removed": 0,    "skippedAlreadyMember": 0,    "skippedNotMember": 0  }}
{  "error": {    "type": "invalid_request_error",    "code": "invalid_flow",    "message": "Flow validation failed"  },  "details": [    {      "path": "nodes[1].data.variants[0].id",      "code": "invalid_variant_id",      "message": "Email variants must have a stable UUID id."    }  ]}
{  "error": {    "type": "authentication_error",    "code": "invalid_api_key",    "message": "A valid Furnace API key is required"  }}
{  "error": {    "type": "invalid_request_error",    "code": "campaign_not_found",    "message": "Campaign not found"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limit_exceeded",    "message": "Rate limit exceeded for this account"  }}
{  "error": {    "type": "api_error",    "code": "internal_error",    "message": "Internal server error"  }}